/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var CashDrawerShiftSummary = require('./CashDrawerShiftSummary');
var Error = require('./Error');




/**
 * The ListCashDrawerShiftsResponse model module.
 * Note: This model is in beta.
 * @module model/ListCashDrawerShiftsResponse
 */

/**
 * Constructs a new <code>ListCashDrawerShiftsResponse</code>.
 *
 * @alias module:model/ListCashDrawerShiftsResponse
 * @class
 */
var exports = function() {
  var _this = this;




};

/**
 * Constructs a <code>ListCashDrawerShiftsResponse</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/ListCashDrawerShiftsResponse} obj Optional instance to populate.
 * @return {module:model/ListCashDrawerShiftsResponse} The populated <code>ListCashDrawerShiftsResponse</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('items')) {
      obj['items'] = ApiClient.convertToType(data['items'], [CashDrawerShiftSummary]);
    }
      if (data.hasOwnProperty('cursor')) {
      obj['cursor'] = ApiClient.convertToType(data['cursor'], 'String');
    }
      if (data.hasOwnProperty('errors')) {
      obj['errors'] = ApiClient.convertToType(data['errors'], [Error]);
    }
    }
  return obj;
}

/**
 * A collection of CashDrawerShiftSummary objects for shifts that match the query.
 * @member {Array.<module:model/CashDrawerShiftSummary>} items
 */
exports.prototype['items'] = undefined;
/**
 * Opaque cursor for fetching the next page of results. Cursor is not present in the last page of results.
 * @member {String} cursor
 */
exports.prototype['cursor'] = undefined;
/**
 * Any errors that occurred during the request.
 * @member {Array.<module:model/Error>} errors
 */
exports.prototype['errors'] = undefined;



module.exports = exports;



