/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');




/**
 * The ListPaymentRefundsRequest model module.
 * @module model/ListPaymentRefundsRequest
 */

/**
 * Constructs a new <code>ListPaymentRefundsRequest</code>.
 * Retrieves a list of refunds for the account making the request.  Max results per page: 100
 * @alias module:model/ListPaymentRefundsRequest
 * @class
 */
var exports = function() {
  var _this = this;








};

/**
 * Constructs a <code>ListPaymentRefundsRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/ListPaymentRefundsRequest} obj Optional instance to populate.
 * @return {module:model/ListPaymentRefundsRequest} The populated <code>ListPaymentRefundsRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('begin_time')) {
      obj['begin_time'] = ApiClient.convertToType(data['begin_time'], 'String');
    }
      if (data.hasOwnProperty('end_time')) {
      obj['end_time'] = ApiClient.convertToType(data['end_time'], 'String');
    }
      if (data.hasOwnProperty('sort_order')) {
      obj['sort_order'] = ApiClient.convertToType(data['sort_order'], 'String');
    }
      if (data.hasOwnProperty('cursor')) {
      obj['cursor'] = ApiClient.convertToType(data['cursor'], 'String');
    }
      if (data.hasOwnProperty('location_id')) {
      obj['location_id'] = ApiClient.convertToType(data['location_id'], 'String');
    }
      if (data.hasOwnProperty('status')) {
      obj['status'] = ApiClient.convertToType(data['status'], 'String');
    }
      if (data.hasOwnProperty('source_type')) {
      obj['source_type'] = ApiClient.convertToType(data['source_type'], 'String');
    }
    }
  return obj;
}

/**
 * Timestamp for the beginning of the requested reporting period, in RFC 3339 format.  Default: The current time minus one year.
 * @member {String} begin_time
 */
exports.prototype['begin_time'] = undefined;
/**
 * Timestamp for the end of the requested reporting period, in RFC 3339 format.  Default: The current time.
 * @member {String} end_time
 */
exports.prototype['end_time'] = undefined;
/**
 * The order in which results are listed. - `ASC` - oldest to newest - `DESC` - newest to oldest (default).
 * @member {String} sort_order
 */
exports.prototype['sort_order'] = undefined;
/**
 * A pagination cursor returned by a previous call to this endpoint. Provide this to retrieve the next set of results for the original query.  See [Pagination](https://developer.squareup.com/docs/basics/api101/pagination) for more information.
 * @member {String} cursor
 */
exports.prototype['cursor'] = undefined;
/**
 * ID of location associated with payment.
 * @member {String} location_id
 */
exports.prototype['location_id'] = undefined;
/**
 * If provided, only refunds with the given status are returned. For a list of refund status values, see `PaymentRefund`.  Default: If omitted refunds are returned regardless of status.
 * @member {String} status
 */
exports.prototype['status'] = undefined;
/**
 * If provided, only refunds with the given source type are returned. - `CARD` - List refunds only for payments where card was specified as payment source.  Default: If omitted refunds are returned regardless of source type.
 * @member {String} source_type
 */
exports.prototype['source_type'] = undefined;



module.exports = exports;



