/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var Order = require('./Order');




/**
 * The UpdateOrderRequest model module.
 * Note: This model is in beta.
 * @module model/UpdateOrderRequest
 */

/**
 * Constructs a new <code>UpdateOrderRequest</code>.
 * Defines the fields that are included in requests to the [UpdateOrder](#endpoint-orders-updateorder) endpoint.
 * @alias module:model/UpdateOrderRequest
 * @class
 */
var exports = function() {
  var _this = this;




};

/**
 * Constructs a <code>UpdateOrderRequest</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/UpdateOrderRequest} obj Optional instance to populate.
 * @return {module:model/UpdateOrderRequest} The populated <code>UpdateOrderRequest</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('order')) {
      obj['order'] = Order.constructFromObject(data['order']);
    }
      if (data.hasOwnProperty('fields_to_clear')) {
      obj['fields_to_clear'] = ApiClient.convertToType(data['fields_to_clear'], ['String']);
    }
      if (data.hasOwnProperty('idempotency_key')) {
      obj['idempotency_key'] = ApiClient.convertToType(data['idempotency_key'], 'String');
    }
    }
  return obj;
}

/**
 * The [sparse order](https://developer.squareup.com/docs/orders-api/manage-orders#sparse-order-objects) containing only the fields to update and the version the update is being applied to.
 * @member {module:model/Order} order
 */
exports.prototype['order'] = undefined;
/**
 * The [dot notation paths](https://developer.squareup.com/docs/orders-api/manage-orders#on-dot-notation) fields to clear. For example, `line_items[uid].note` [Read more about Deleting fields](https://developer.squareup.com/docs/orders-api/manage-orders#delete-fields).
 * @member {Array.<String>} fields_to_clear
 */
exports.prototype['fields_to_clear'] = undefined;
/**
 * A value you specify that uniquely identifies this update request  If you're unsure whether a particular update was applied to an order successfully, you can reattempt it with the same idempotency key without worrying about creating duplicate updates to the order. The latest order version will be returned.  See [Idempotency](https://developer.squareup.com/docs/basics/api101/idempotency) for more information.
 * @member {String} idempotency_key
 */
exports.prototype['idempotency_key'] = undefined;



module.exports = exports;



