/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */
var ApiClient = require('../ApiClient');
var V1Money = require('./V1Money');




/**
 * @deprecated
 * The V1Tender model module.
 * @module model/V1Tender
 */

/**
 * Constructs a new <code>V1Tender</code>.
 * A tender represents a discrete monetary exchange. Square represents this exchange as a money object with a specific currency and amount, where the amount is given in the smallest denomination of the given currency.  Square POS can accept more than one form of tender for a single payment (such as by splitting a bill between a credit card and a gift card). The &#x60;tender&#x60; field of the Payment object lists all forms of tender used for the payment.  Split tender payments behave slightly differently from single tender payments:  The receipt_url for a split tender corresponds only to the first tender listed in the tender field. To get the receipt URLs for the remaining tenders, use the receipt_url fields of the corresponding Tender objects.  *A note on gift cards**: when a customer purchases a Square gift card from a merchant, the merchant receives the full amount of the gift card in the associated payment.  When that gift card is used as a tender, the balance of the gift card is reduced and the merchant receives no funds. A &#x60;Tender&#x60; object with a type of &#x60;SQUARE_GIFT_CARD&#x60; indicates a gift card was used for some or all of the associated payment.
 * @alias module:model/V1Tender
 * @class
 */
var exports = function() {
  var _this = this;

















};

/**
 * Constructs a <code>V1Tender</code> from a plain JavaScript object, optionally creating a new instance.
 * Copies all relevant properties from <code>data</code> to <code>obj</code> if supplied or a new instance if not.
 * @param {Object} data The plain JavaScript object bearing properties of interest.
 * @param {module:model/V1Tender} obj Optional instance to populate.
 * @return {module:model/V1Tender} The populated <code>V1Tender</code> instance.
 */
exports.constructFromObject = function(data, obj) {
  if (data) {
    obj = obj || new exports();

      if (data.hasOwnProperty('id')) {
      obj['id'] = ApiClient.convertToType(data['id'], 'String');
    }
      if (data.hasOwnProperty('type')) {
      obj['type'] = ApiClient.convertToType(data['type'], 'String');
    }
      if (data.hasOwnProperty('name')) {
      obj['name'] = ApiClient.convertToType(data['name'], 'String');
    }
      if (data.hasOwnProperty('employee_id')) {
      obj['employee_id'] = ApiClient.convertToType(data['employee_id'], 'String');
    }
      if (data.hasOwnProperty('receipt_url')) {
      obj['receipt_url'] = ApiClient.convertToType(data['receipt_url'], 'String');
    }
      if (data.hasOwnProperty('card_brand')) {
      obj['card_brand'] = ApiClient.convertToType(data['card_brand'], 'String');
    }
      if (data.hasOwnProperty('pan_suffix')) {
      obj['pan_suffix'] = ApiClient.convertToType(data['pan_suffix'], 'String');
    }
      if (data.hasOwnProperty('entry_method')) {
      obj['entry_method'] = ApiClient.convertToType(data['entry_method'], 'String');
    }
      if (data.hasOwnProperty('payment_note')) {
      obj['payment_note'] = ApiClient.convertToType(data['payment_note'], 'String');
    }
      if (data.hasOwnProperty('total_money')) {
      obj['total_money'] = V1Money.constructFromObject(data['total_money']);
    }
      if (data.hasOwnProperty('tendered_money')) {
      obj['tendered_money'] = V1Money.constructFromObject(data['tendered_money']);
    }
      if (data.hasOwnProperty('tendered_at')) {
      obj['tendered_at'] = ApiClient.convertToType(data['tendered_at'], 'String');
    }
      if (data.hasOwnProperty('settled_at')) {
      obj['settled_at'] = ApiClient.convertToType(data['settled_at'], 'String');
    }
      if (data.hasOwnProperty('change_back_money')) {
      obj['change_back_money'] = V1Money.constructFromObject(data['change_back_money']);
    }
      if (data.hasOwnProperty('refunded_money')) {
      obj['refunded_money'] = V1Money.constructFromObject(data['refunded_money']);
    }
      if (data.hasOwnProperty('is_exchange')) {
      obj['is_exchange'] = ApiClient.convertToType(data['is_exchange'], 'Boolean');
    }
    }
  return obj;
}

/**
 * The tender's unique ID.
 * @member {String} id
 */
exports.prototype['id'] = undefined;
/**
 * The type of tender. See [V1TenderType](#type-v1tendertype) for possible values
 * @member {String} type
 */
exports.prototype['type'] = undefined;
/**
 * A human-readable description of the tender.
 * @member {String} name
 */
exports.prototype['name'] = undefined;
/**
 * The ID of the employee that processed the tender.
 * @member {String} employee_id
 */
exports.prototype['employee_id'] = undefined;
/**
 * The URL of the receipt for the tender.
 * @member {String} receipt_url
 */
exports.prototype['receipt_url'] = undefined;
/**
 * The brand of credit card provided. See [V1TenderCardBrand](#type-v1tendercardbrand) for possible values
 * @member {String} card_brand
 */
exports.prototype['card_brand'] = undefined;
/**
 * The last four digits of the provided credit card's account number.
 * @member {String} pan_suffix
 */
exports.prototype['pan_suffix'] = undefined;
/**
 * The tender's unique ID. See [V1TenderEntryMethod](#type-v1tenderentrymethod) for possible values
 * @member {String} entry_method
 */
exports.prototype['entry_method'] = undefined;
/**
 * Notes entered by the merchant about the tender at the time of payment, if any. Typically only present for tender with the type: OTHER.
 * @member {String} payment_note
 */
exports.prototype['payment_note'] = undefined;
/**
 * The total amount of money provided in this form of tender.
 * @member {module:model/V1Money} total_money
 */
exports.prototype['total_money'] = undefined;
/**
 * The amount of total_money applied to the payment.
 * @member {module:model/V1Money} tendered_money
 */
exports.prototype['tendered_money'] = undefined;
/**
 * The time when the tender was created, in ISO 8601 format.
 * @member {String} tendered_at
 */
exports.prototype['tendered_at'] = undefined;
/**
 * The time when the tender was settled, in ISO 8601 format.
 * @member {String} settled_at
 */
exports.prototype['settled_at'] = undefined;
/**
 * The amount of total_money returned to the buyer as change.
 * @member {module:model/V1Money} change_back_money
 */
exports.prototype['change_back_money'] = undefined;
/**
 * The total of all refunds applied to this tender. This amount is always negative or zero.
 * @member {module:model/V1Money} refunded_money
 */
exports.prototype['refunded_money'] = undefined;
/**
 * Indicates whether or not the tender is associated with an exchange. If is_exchange is true, the tender represents the value of goods returned in an exchange not the actual money paid. The exchange value reduces the tender amounts needed to pay for items purchased in the exchange.
 * @member {Boolean} is_exchange
 */
exports.prototype['is_exchange'] = undefined;



module.exports = exports;



