/**
 * Square Connect API
 * Client library for accessing the Square Connect APIs
 *
 * OpenAPI spec version: 2.0
 * Contact: developers@squareup.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 *
 * Swagger Codegen version: 2.3.0-SNAPSHOT
 *
 */

const SquareConnect = require('../../src/index');
const {
  accounts,
  expect,
  assert,
  handleUnexpectedError,
  generateIdempotencyKey
} = require('../support/setup');

describe('V1LocationsApi', function () {
  beforeEach(function () {
    this.account = accounts.production;

    const defaultClient = SquareConnect.ApiClient.instance;
    const oauth2 = defaultClient.authentications['oauth2'];
    // Some APIs do not work with sandbox. Replace `sandbox` with `production` for those test suites.
    oauth2.accessToken = accounts.production.access_token;
    this.api = new SquareConnect.V1LocationsApi();
  });

  afterEach(function () {
  });

  describe('listLocations', function () {
    it('should call listLocations successfully', async function () {
      const merchants = await this.api.listLocations().catch(handleUnexpectedError);
      const locationIds = merchants.map(merchant => merchant.id);
      +expect(locationIds).to.include(this.account.location_id);
    });
  });
  describe('retrieveBusiness', function () {
    it('should call retrieveBusiness successfully', async function () {
      const merchant = await this.api.retrieveBusiness().catch(handleUnexpectedError);
      expect(merchant.email).to.eql(this.account.email);
    });
  });
});

